Bug 246840 - Review the udev rules
Summary: Review the udev rules
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 12:01 UTC by Harald Hoyer
Modified: 2008-10-14 21:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 21:04:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 12:01:36 UTC
udev has changed the rule syntax.
See /usr/share/doc/udev-*/RELEASE-NOTES and man udev(7)

Please review your udev rules and change:
BUS -> SUBSYSTEMS, ID -> KERNELS, SYSFS -> ATTRS, DRIVER -> DRIVERS

Thanks

Comment 1 David Woodhouse 2007-07-21 10:40:14 UTC
This needs to happen upstream.

Comment 2 Marcel Holtmann 2007-07-21 10:58:04 UTC
Or current rules look like this:

# Brain Boxes BL-620 Bluetooth Adapter
SUBSYSTEM=="tty", BUS=="pcmcia", SYSFS{prod_id1}=="Brain Boxes",
SYSFS{prod_id2}=="Bluetooth PC Card", ENV{HCIOPTS}="bboxes", RUN+="bluetooth_serial"

What is the proposed way and how about backward compatibility. Meaning what udev
version is at least needed.


Comment 3 Bug Zapper 2008-04-04 12:55:14 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bastien Nocera 2008-10-14 21:04:29 UTC
(In reply to comment #2)
> Or current rules look like this:
> 
> # Brain Boxes BL-620 Bluetooth Adapter
> SUBSYSTEM=="tty", BUS=="pcmcia", SYSFS{prod_id1}=="Brain Boxes",
> SYSFS{prod_id2}=="Bluetooth PC Card", ENV{HCIOPTS}="bboxes", RUN+="bluetooth_serial"
> 
> What is the proposed way and how about backward compatibility. Meaning what udev
> version is at least needed.

From the release notes, it's "udev 098".

Fixed in 4.13-2 and sent upstream at:
http://thread.gmane.org/gmane.linux.bluez.kernel/561


Note You need to log in before you can comment on or make changes to this bug.